/*******************************************************************************

  Copyright(c) 2002 - 2005 Promise Technology, Inc. All rights reserved.
  
  cam_import.h - function prototypes from others

  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the Free 
  Software Foundation; either version 2 of the License, or (at your option) 
  any later version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT 
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for 
  more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 
  Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
  The full GNU General Public License is included in this distribution in the
  file called LICENSE.
  
  Contact Information:
  Promise Technology, Inc.
  <support@promise.com.tw>	[TAIWAN]
  <support@promise.com>		[U.S.A]
  <support-china@promise.com>	[CHINA]

*******************************************************************************/

extern void camCheckDriveStatus(U8 bCh, U8 bID, U8 Status);

extern void camOutPortByte(U32 port, U8 data);
extern U8 camInPortByte(U32 port);
extern void camOutPortWord(U32 port, U16 data);
extern U16 camInPortWord(U32 port);
extern void camOutPortDword(U32 port, U32 data);
extern U32 camInPortDword(U32 port);
extern void	camWriteRegByte(U32 addr, U8 data);
extern U8 camReadRegByte(U32 addr);
extern void camWriteRegWord(U32 addr, U16 data);
extern U16 camReadRegWord(U32 addr);
extern void camWriteRegDword(U32 addr, U32 data);
extern U32 camReadRegDword(U32 addr);
extern void camStallExecution(U16 Delay);
extern U32 camTimer(U32 Delay, void (FARPTR *TimerService)(void));

#ifdef _DEBUG
extern void camDebugMsg(PVOID msg);
#endif
